Bug 102402 - [BAT][HSW] igt@kms_cursor_legacy@basic-flip-(before|after)-cursor-varying-size - Failed assertion: get_vblank(display->drm_fd, pipe, 0) == vblank_start
Summary: [BAT][HSW] igt@kms_cursor_legacy@basic-flip-(before|after)-cursor-varying-siz...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest critical
Assignee: Maarten Lankhorst
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-25 10:04 UTC by Martin Peres
Modified: 2017-10-04 12:46 UTC (History)
1 user (show)

See Also:
i915 platform: HSW
i915 features: display/Other


Attachments
dmesg snippet pre-merge (1.23 MB, text/plain)
2017-08-28 13:18 UTC, Marta Löfstedt
no flags Details
dmesg snippet CI (899.52 KB, text/plain)
2017-08-28 13:19 UTC, Marta Löfstedt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2017-08-25 10:04:07 UTC
On the fi-hsw-4770 machine, we have been getting the following error message quite often in pre-merge:

(kms_cursor_legacy:4154) CRITICAL: Test assertion failure function basic_flip_cursor, file kms_cursor_legacy.c:612:
(kms_cursor_legacy:4154) CRITICAL: Failed assertion: get_vblank(display->drm_fd, pipe, 0) == vblank_start
(kms_cursor_legacy:4154) CRITICAL: error: 16071 != 16070

Full logs:
 - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_1085/fi-hsw-4770/igt@kms_cursor_legacy@basic-flip-before-cursor-varying-size.html
 - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_1085/fi-hsw-4770/igt@kms_cursor_legacy@basic-flip-after-cursor-varying-size.html
Comment 1 Marta Löfstedt 2017-08-28 13:18:15 UTC
Created attachment 133838 [details]
dmesg snippet pre-merge

I removed timing so it is easier to diff
Comment 2 Marta Löfstedt 2017-08-28 13:19:24 UTC
Created attachment 133839 [details]
dmesg snippet CI

I removed timing info to make it easier to diff with the pre-merge log
Comment 3 Marta Löfstedt 2017-08-28 13:20:05 UTC
If I diff the logs it appear as if there are a lot more prints on the pre-merge.
Comment 5 Maarten Lankhorst 2017-10-04 11:32:42 UTC
Considering this was always failing before, maybe this fixed it?

commit 1043c09ccbcba8e5c2ec5f2a358a442346348bd8
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Tue Sep 19 13:31:13 2017 +0200

    tests/kms_cursor_legacy: Do not start collecting CRC after making FB busy
    
    Collecting CRC may force a modeset, which is a bad idea after we just
    forced a hang. The hang is intended to make sure the page flip doesn't
    complete before the cursor, making sure that works.
Comment 6 Martin Peres 2017-10-04 12:45:58 UTC
(In reply to Maarten Lankhorst from comment #5)
> Considering this was always failing before, maybe this fixed it?
> 
> commit 1043c09ccbcba8e5c2ec5f2a358a442346348bd8
> Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
> Date:   Tue Sep 19 13:31:13 2017 +0200
> 
>     tests/kms_cursor_legacy: Do not start collecting CRC after making FB busy
>     
>     Collecting CRC may force a modeset, which is a bad idea after we just
>     forced a hang. The hang is intended to make sure the page flip doesn't
>     complete before the cursor, making sure that works.

Looks like it, indeed! I'll close the bug now and archive the issue.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.